OpenVDB 13.0.0

Loading...
Searching...
No Matches
nanovdb::util::morphology Namespace Reference

## Classes
struct | NearestNeighborBitMask

## Functions
template<tools::morphology::NearestNeighbors nnType>
__hostdev__ uint32_t | neighborMaskStencil (const nanovdb::Mask< 3 > &mask)
__hostdev__ Coord::ValueType | coarsenComponent (const Coord::ValueType n)
__hostdev__ Coord | coarsenCoord (const Coord &coord)
__hostdev__ Coord::ValueType | refineComponent (const Coord::ValueType n)
__hostdev__ Coord | refineCoord (const Coord &coord)

## Function Documentation

## ◆ coarsenComponent()

__hostdev__ Coord::ValueType coarsenComponent | ( | const Coord::ValueType | n | ) |
| inline

## ◆ coarsenCoord()

__hostdev__ Coord coarsenCoord | ( | const Coord & | coord | ) |
| inline

## ◆ neighborMaskStencil()

template<tools::morphology::NearestNeighbors nnType>

__hostdev__ uint32_t neighborMaskStencil | ( | const nanovdb::Mask< 3 > & | mask | ) |

## ◆ refineComponent()

__hostdev__ Coord::ValueType refineComponent | ( | const Coord::ValueType | n | ) |
| inline

## ◆ refineCoord()

__hostdev__ Coord refineCoord | ( | const Coord & | coord | ) |
| inline